<?xml version="1.0" encoding="UTF-8"?>
<settings xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd" xmlns="http://maven.apache.org/SETTINGS/1.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

<servers>
	  <server>
		<id>releases</id>
		<username>${MAVEN_USERNAME}</username>
		<password>${MAVEN_PASSWORD}</password>
	  </server>
	  <server>
		<id>snapshots</id>
		<username>${MAVEN_USERNAME}</username>
		<password>${MAVEN_PASSWORD}</password>
	  </server>
	</servers>

	<mirrors>
		<mirror>
		  <!--This sends everything else to /public -->
		  <id>nexus</id>
		  <mirrorOf>*</mirrorOf>
		  <url>http://repo.servebeer.com:8081/nexus/content/groups/public</url>
		</mirror>
	</mirrors>

	<profiles>
		<profile>
			<id>nexus</id>
			<!--Enable snapshots for the built in central repo to direct -->
			<!--all requests to nexus via the mirror -->
			<repositories>
			      <repository>
					  <id>central</id>
					  <name>Ziben snapshots Repository</name>
					  <url>http://central</url>
					  <releases>
						  <enabled>true</enabled>
					  </releases>
					  <snapshots>
						  <enabled>true</enabled>
					  </snapshots>
			      </repository>
<!--
			      <repository>
			          <id>ziben.internal</id>
			          <name>Ziben IT Internal Repository</name>
			          <url>http://repo.servebeer.com:8081/nexus/content/repositories/releases</url>
			          <releases>
			              <enabled>true</enabled>
			          </releases>
			          <snapshots>
			              <enabled>false</enabled>
			          </snapshots>
			      </repository>
-->
			</repositories>
			<pluginRepositories>
				<pluginRepository>
					<id>central</id>
					<url>http://central</url>
					<releases><enabled>true</enabled></releases>
					<snapshots><enabled>true</enabled></snapshots>
				</pluginRepository>
			</pluginRepositories>
			
		</profile>
	</profiles>
	
	<activeProfiles>
		<activeProfile>nexus</activeProfile>
	</activeProfiles>
</settings>
